import type { Settings } from "./api/Settings";
import type { UserThemeHeader } from "./main/themes";
import { IpcEvents } from "./shared/IpcEvents";
import { IpcRes } from "./utils/types";
export declare function sendSync<T = any>(event: IpcEvents, ...args: any[]): T;
declare const _default: {
    themes: {
        uploadTheme: (fileName: string, fileData: string) => Promise<void>;
        deleteTheme: (fileName: string) => Promise<void>;
        getThemesDir: () => Promise<string>;
        getThemesList: () => Promise<UserThemeHeader[]>;
        getThemeData: (fileName: string) => Promise<string | undefined>;
        getSystemValues: () => Promise<Record<string, string>>;
    };
    updater: {
        getUpdates: () => Promise<IpcRes<Record<"message" | "author" | "hash", string>[]>>;
        update: () => Promise<IpcRes<boolean>>;
        rebuild: () => Promise<IpcRes<boolean>>;
        getRepo: () => Promise<IpcRes<string>>;
    };
    settings: {
        get: () => Settings;
        set: (settings: Settings, pathToNotify?: string) => Promise<void>;
        getSettingsDir: () => Promise<string>;
    };
    quickCss: {
        get: () => Promise<string>;
        set: (css: string) => Promise<void>;
        addChangeListener(cb: (newCss: string) => void): void;
        addThemeChangeListener(cb: () => void): void;
        openFile: () => Promise<void>;
        openEditor: () => Promise<void>;
    };
    native: {
        getVersions: () => Partial<NodeJS.ProcessVersions>;
        openExternal: (url: string) => Promise<void>;
    };
    pluginHelpers: Record<string, Record<string, (...args: any[]) => Promise<any>>>;
};
export default _default;
