import { Channel, User } from "discord-types/general/index.js";
import { JSX } from "react";
interface DecoratorProps {
    activities: any[];
    channel: Channel;
    /**
     * Only for DM members
     */
    channelName?: string;
    /**
     * Only for server members
     */
    currentUser?: User;
    guildId?: string;
    isMobile: boolean;
    isOwner?: boolean;
    isTyping: boolean;
    selected: boolean;
    status: string;
    user: User;
    [key: string]: any;
}
export type MemberListDecoratorFactory = (props: DecoratorProps) => JSX.Element | null;
type OnlyIn = "guilds" | "dms";
export declare const decoratorsFactories: Map<string, {
    render: MemberListDecoratorFactory;
    onlyIn?: OnlyIn;
}>;
export declare function addMemberListDecorator(identifier: string, render: MemberListDecoratorFactory, onlyIn?: OnlyIn): void;
export declare function removeMemberListDecorator(identifier: string): void;
export declare function __getDecorators(props: DecoratorProps): JSX.Element;
export {};
