import { OptionType, StartAt } from "../../utils/types";
declare const _default: {
    name: string;
    description: string;
    authors: {
        name: string;
        id: bigint;
    }[];
    settings: import("../../utils/types").DefinedSettings<{
        disableLoggers: {
            type: OptionType.BOOLEAN;
            description: string;
            default: false;
            restartNeeded: true;
        };
        disableSpotifyLogger: {
            type: OptionType.BOOLEAN;
            description: string;
            default: true;
            restartNeeded: true;
        };
        whitelistedLoggers: {
            type: OptionType.STRING;
            description: string;
            default: string;
            onChange(newVal: string): void;
        };
    }, import("../../utils/types").SettingsChecks<{
        disableLoggers: {
            type: OptionType.BOOLEAN;
            description: string;
            default: false;
            restartNeeded: true;
        };
        disableSpotifyLogger: {
            type: OptionType.BOOLEAN;
            description: string;
            default: true;
            restartNeeded: true;
        };
        whitelistedLoggers: {
            type: OptionType.STRING;
            description: string;
            default: string;
            onChange(newVal: string): void;
        };
    }>, {}>;
    startAt: StartAt.Init;
    start(): void;
    NoopLogger: () => {
        logDangerously: () => void;
        log: () => void;
        verboseDangerously: () => void;
        verbose: () => void;
        info: () => void;
        warn: () => void;
        error: () => void;
        trace: () => void;
        time: () => void;
        fileOnly: () => void;
    };
    shouldLog(logger: string): boolean;
    patches: ({
        find: string;
        replacement: {
            match: RegExp;
            replace: string;
        };
        predicate?: undefined;
    } | {
        find: string;
        predicate: () => boolean;
        replacement: {
            match: RegExp;
            replace: string;
        };
    })[];
} & Record<string, any>;
export default _default;
