import { WorkerClient } from "@vap/core/ipc";
import type { IShikiTheme, IThemedToken } from "@vap/shiki";
import type { ShikiSpec } from "../types";
export declare const shiki: {
    client: WorkerClient<ShikiSpec> | null;
    currentTheme: IShikiTheme | null;
    currentThemeUrl: string | null;
    timeoutMs: number;
    languages: Record<string, import("./languages").Language>;
    themes: {
        DarkPlus: string;
        MaterialCandy: string;
        Andromeeda: string;
        AuroraX: string;
        AyuDark: string;
        CatppuccinLatte: string;
        CatppuccinFrappe: string;
        CatppuccinMacchiato: string;
        CatppuccinMocha: string;
        DraculaSoft: string;
        Dracula: string;
        EverforestDark: string;
        EverforestLight: string;
        GithubDarkDefault: string;
        GithubDarkDimmed: string;
        GithubDarkHighContrast: string;
        GithubDark: string;
        GithubLightDefault: string;
        GithubLightHighContrast: string;
        GithubLight: string;
        Houston: string;
        KanagawaDragon: string;
        KanagawaLotus: string;
        KanagawaWave: string;
        LaserWave: string;
        LightPlus: string;
        MaterialDarker: string;
        MaterialDefault: string;
        MaterialLighter: string;
        MaterialOcean: string;
        MaterialPalenight: string;
        MinDark: string;
        MinLight: string;
        Monokai: string;
        NightOwl: string;
        Nord: string;
        OneDarkPro: string;
        OneLight: string;
        Plastic: string;
        Poimandres: string;
        Red: string;
        RosePineDawn: string;
        RosePineMoon: string;
        RosePine: string;
        SlackDark: string;
        SlackOchin: string;
        SnazzyLight: string;
        SolarizedDark: string;
        SolarizedLight: string;
        Synthwave84: string;
        TokyoNight: string;
        Vesper: string;
        VitesseBlack: string;
        VitesseDark: string;
        VitesseLight: string;
    };
    loadedThemes: Set<string>;
    loadedLangs: Set<string>;
    clientPromise: Promise<WorkerClient<ShikiSpec>>;
    init: (initThemeUrl: string | undefined) => Promise<void>;
    _setTheme: (themeUrl: string) => Promise<void>;
    loadTheme: (themeUrl: string) => Promise<void>;
    setTheme: (themeUrl: string) => Promise<void>;
    loadLang: (langId: string) => Promise<void>;
    tokenizeCode: (code: string, langId: string) => Promise<IThemedToken[][]>;
    destroy(): void;
};
