import "./styles.css";
import { OptionType } from "../../utils/types";
import { Message, User } from "discord-types/general";
interface UsernameProps {
    author: {
        nick: string;
    };
    message: Message;
    withMentionPrefix?: boolean;
    isRepliedMessage: boolean;
    userOverride?: User;
}
declare const _default: {
    name: string;
    description: string;
    authors: {
        name: string;
        id: bigint;
    }[];
    patches: {
        find: string;
        replacement: {
            match: RegExp;
            replace: string;
        };
    }[];
    settings: import("../../utils/types").DefinedSettings<{
        mode: {
            type: OptionType.SELECT;
            description: string;
            options: ({
                label: string;
                value: string;
                default: true;
            } | {
                label: string;
                value: string;
                default?: undefined;
            })[];
        };
        displayNames: {
            type: OptionType.BOOLEAN;
            description: string;
            default: false;
        };
        inReplies: {
            type: OptionType.BOOLEAN;
            default: false;
            description: string;
        };
    }, import("../../utils/types").SettingsChecks<{
        mode: {
            type: OptionType.SELECT;
            description: string;
            options: ({
                label: string;
                value: string;
                default: true;
            } | {
                label: string;
                value: string;
                default?: undefined;
            })[];
        };
        displayNames: {
            type: OptionType.BOOLEAN;
            description: string;
            default: false;
        };
        inReplies: {
            type: OptionType.BOOLEAN;
            default: false;
            description: string;
        };
    }>, {}>;
    renderUsername: import("react").FunctionComponent<UsernameProps>;
} & Record<string, any>;
export default _default;
