export type GoogleLanguage = keyof typeof GoogleLanguages;
export type DeeplLanguage = keyof typeof DeeplLanguages;
export declare const GoogleLanguages: {
    readonly auto: "Detect language";
    readonly af: "Afrikaans";
    readonly sq: "Albanian";
    readonly am: "Amharic";
    readonly ar: "Arabic";
    readonly hy: "Armenian";
    readonly as: "Assamese";
    readonly ay: "Aymara";
    readonly az: "Azerbaijani";
    readonly bm: "Bambara";
    readonly eu: "Basque";
    readonly be: "Belarusian";
    readonly bn: "Bengali";
    readonly bho: "Bhojpuri";
    readonly bs: "Bosnian";
    readonly bg: "Bulgarian";
    readonly ca: "Catalan";
    readonly ceb: "Cebuano";
    readonly ny: "Chichewa";
    readonly "zh-CN": "Chinese (Simplified)";
    readonly "zh-TW": "Chinese (Traditional)";
    readonly co: "Corsican";
    readonly hr: "Croatian";
    readonly cs: "Czech";
    readonly da: "Danish";
    readonly dv: "Dhivehi";
    readonly doi: "Dogri";
    readonly nl: "Dutch";
    readonly en: "English";
    readonly eo: "Esperanto";
    readonly et: "Estonian";
    readonly ee: "Ewe";
    readonly tl: "Filipino";
    readonly fi: "Finnish";
    readonly fr: "French";
    readonly fy: "Frisian";
    readonly gl: "Galician";
    readonly ka: "Georgian";
    readonly de: "German";
    readonly el: "Greek";
    readonly gn: "Guarani";
    readonly gu: "Gujarati";
    readonly ht: "Haitian Creole";
    readonly ha: "Hausa";
    readonly haw: "Hawaiian";
    readonly iw: "Hebrew";
    readonly hi: "Hindi";
    readonly hmn: "Hmong";
    readonly hu: "Hungarian";
    readonly is: "Icelandic";
    readonly ig: "Igbo";
    readonly ilo: "Ilocano";
    readonly id: "Indonesian";
    readonly ga: "Irish";
    readonly it: "Italian";
    readonly ja: "Japanese";
    readonly jw: "Javanese";
    readonly kn: "Kannada";
    readonly kk: "Kazakh";
    readonly km: "Khmer";
    readonly rw: "Kinyarwanda";
    readonly gom: "Konkani";
    readonly ko: "Korean";
    readonly kri: "Krio";
    readonly ku: "Kurdish (Kurmanji)";
    readonly ckb: "Kurdish (Sorani)";
    readonly ky: "Kyrgyz";
    readonly lo: "Lao";
    readonly la: "Latin";
    readonly lv: "Latvian";
    readonly ln: "Lingala";
    readonly lt: "Lithuanian";
    readonly lg: "Luganda";
    readonly lb: "Luxembourgish";
    readonly mk: "Macedonian";
    readonly mai: "Maithili";
    readonly mg: "Malagasy";
    readonly ms: "Malay";
    readonly ml: "Malayalam";
    readonly mt: "Maltese";
    readonly mi: "Maori";
    readonly mr: "Marathi";
    readonly "mni-Mtei": "Meiteilon (Manipuri)";
    readonly lus: "Mizo";
    readonly mn: "Mongolian";
    readonly my: "Myanmar (Burmese)";
    readonly ne: "Nepali";
    readonly no: "Norwegian";
    readonly or: "Odia (Oriya)";
    readonly om: "Oromo";
    readonly ps: "Pashto";
    readonly fa: "Persian";
    readonly pl: "Polish";
    readonly pt: "Portuguese";
    readonly pa: "Punjabi";
    readonly qu: "Quechua";
    readonly ro: "Romanian";
    readonly ru: "Russian";
    readonly sm: "Samoan";
    readonly sa: "Sanskrit";
    readonly gd: "Scots Gaelic";
    readonly nso: "Sepedi";
    readonly sr: "Serbian";
    readonly st: "Sesotho";
    readonly sn: "Shona";
    readonly sd: "Sindhi";
    readonly si: "Sinhala";
    readonly sk: "Slovak";
    readonly sl: "Slovenian";
    readonly so: "Somali";
    readonly es: "Spanish";
    readonly su: "Sundanese";
    readonly sw: "Swahili";
    readonly sv: "Swedish";
    readonly tg: "Tajik";
    readonly ta: "Tamil";
    readonly tt: "Tatar";
    readonly te: "Telugu";
    readonly th: "Thai";
    readonly ti: "Tigrinya";
    readonly ts: "Tsonga";
    readonly tr: "Turkish";
    readonly tk: "Turkmen";
    readonly ak: "Twi";
    readonly uk: "Ukrainian";
    readonly ur: "Urdu";
    readonly ug: "Uyghur";
    readonly uz: "Uzbek";
    readonly vi: "Vietnamese";
    readonly cy: "Welsh";
    readonly xh: "Xhosa";
    readonly yi: "Yiddish";
    readonly yo: "Yoruba";
    readonly zu: "Zulu";
};
export declare const DeeplLanguages: {
    readonly "": "Detect language";
    readonly ar: "Arabic";
    readonly bg: "Bulgarian";
    readonly "zh-hans": "Chinese (Simplified)";
    readonly "zh-hant": "Chinese (Traditional)";
    readonly cs: "Czech";
    readonly da: "Danish";
    readonly nl: "Dutch";
    readonly "en-us": "English (American)";
    readonly "en-gb": "English (British)";
    readonly et: "Estonian";
    readonly fi: "Finnish";
    readonly fr: "French";
    readonly de: "German";
    readonly el: "Greek";
    readonly hu: "Hungarian";
    readonly id: "Indonesian";
    readonly it: "Italian";
    readonly ja: "Japanese";
    readonly ko: "Korean";
    readonly lv: "Latvian";
    readonly lt: "Lithuanian";
    readonly nb: "Norwegian";
    readonly pl: "Polish";
    readonly "pt-br": "Portuguese (Brazilian)";
    readonly "pt-pt": "Portuguese (European)";
    readonly ro: "Romanian";
    readonly ru: "Russian";
    readonly sk: "Slovak";
    readonly sl: "Slovenian";
    readonly es: "Spanish";
    readonly sv: "Swedish";
    readonly tr: "Turkish";
    readonly uk: "Ukrainian";
};
export declare function deeplLanguageToGoogleLanguage(language: string): string;
