import * as t from "./types/components";
export declare const Forms: {
    FormTitle: t.FormTitle;
    FormText: t.FormText;
    FormSection: t.FormSection;
    FormDivider: t.FormDivider;
};
export declare const Card: t.Card;
export declare const Button: t.Button;
export declare const Switch: t.Switch;
export declare const Tooltip: import("react").ComponentType<{
    text: import("react").ReactNode | import("react").ComponentType;
    children: import("react").FunctionComponent<{
        onClick(): void;
        onMouseEnter(): void;
        onMouseLeave(): void;
        onContextMenu(): void;
        onFocus(): void;
        onBlur(): void;
        "aria-label"?: string;
    }>;
    "aria-label"?: string;
    allowOverflow?: boolean;
    forceOpen?: boolean;
    hide?: boolean;
    hideOnClick?: boolean;
    shouldShow?: boolean;
    spacing?: number;
    color?: string;
    position?: t.PopoutPosition;
    tooltipClassName?: string;
    tooltipContentClassName?: string;
}>;
export declare const TooltipContainer: import("react").ComponentType<import("react").PropsWithChildren<{
    text: import("react").ReactNode;
    element?: "div" | "span";
    "aria-label"?: string | false;
    delay?: number;
    color?: string;
    position?: t.PopoutPosition;
    spacing?: number;
    className?: string;
    tooltipClassName?: string | null;
    tooltipContentClassName?: string | null;
    allowOverflow?: boolean;
    forceOpen?: boolean;
    hideOnClick?: boolean;
    disableTooltipPointerEvents?: boolean;
}>>;
export declare const TextInput: t.TextInput;
export declare const TextArea: t.TextArea;
export declare const Text: t.Text;
export declare const Heading: t.Heading;
export declare const Select: t.Select;
export declare const SearchableSelect: t.SearchableSelect;
export declare const Slider: t.Slider;
export declare const Popout: t.Popout;
export declare const Dialog: t.Dialog;
export declare const TabBar: import("react").ComponentType<any> & Record<string, any>;
export declare const Paginator: t.Paginator;
export declare const Clickable: t.Clickable;
export declare const Avatar: t.Avatar;
export declare let createScroller: (scrollbarClassName: string, fadeClassName: string, customThemeClassName: string) => t.ScrollerThin;
export declare let scrollerClasses: Record<string, string>;
export declare const ScrollerNone: import("react").ComponentType<import("react").PropsWithChildren<{
    className?: string;
    style?: import("react").CSSProperties;
    dir?: "ltr";
    orientation?: "horizontal" | "vertical" | "auto";
    paddingFix?: boolean;
    fade?: boolean;
    onClose?(): void;
    onScroll?(): void;
}>>;
export declare const ScrollerThin: import("react").ComponentType<import("react").PropsWithChildren<{
    className?: string;
    style?: import("react").CSSProperties;
    dir?: "ltr";
    orientation?: "horizontal" | "vertical" | "auto";
    paddingFix?: boolean;
    fade?: boolean;
    onClose?(): void;
    onScroll?(): void;
}>>;
export declare const ScrollerAuto: import("react").ComponentType<import("react").PropsWithChildren<{
    className?: string;
    style?: import("react").CSSProperties;
    dir?: "ltr";
    orientation?: "horizontal" | "vertical" | "auto";
    paddingFix?: boolean;
    fade?: boolean;
    onClose?(): void;
    onScroll?(): void;
}>>;
export declare const FocusLock: import("react").ComponentType<import("react").PropsWithChildren<{
    containerRef: import("react").Ref<HTMLElement>;
}>>;
export declare let useToken: t.useToken;
export declare const MaskedLink: t.MaskedLink;
export declare const Timestamp: t.Timestamp;
export declare const Flex: t.Flex;
export declare const OAuth2AuthorizeModal: import("react").ComponentType<any> & Record<string, any>;
export declare const Animations: Record<"animated" | "Transition", any>;
